/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.jtests.appclients.timeclient;

import javax.xml.namespace.QName;
import javax.xml.rpc.handler.GenericHandler;
import javax.xml.rpc.handler.HandlerInfo;
import javax.xml.rpc.handler.MessageContext;



/**
 *
 *
 * @author Guillaume Sauthier
 */
public class TimeClientHandler extends GenericHandler {

    /* (non-Javadoc)
     * @see javax.xml.rpc.handler.Handler#init(javax.xml.rpc.handler.HandlerInfo)
     */
    public void init(HandlerInfo hinfo) {
        String val = (String) hinfo.getHandlerConfig().get("jonas.test.client.handler");
        StaticPassValue spv = StaticPassValue.getInstance();
        spv.setInitValue(val);
    }
    

    /* (non-Javadoc)
     * @see javax.xml.rpc.handler.Handler#handleRequest(javax.xml.rpc.handler.MessageContext)
     */
    public boolean handleRequest(MessageContext mc) {
        StaticPassValue spv = StaticPassValue.getInstance();
        spv.setRequestValue("handlerRequest-Invoked");
        return true;
    }

    /* (non-Javadoc)
     * @see javax.xml.rpc.handler.Handler#handleRequest(javax.xml.rpc.handler.MessageContext)
     */
    public boolean handleResponse(MessageContext mc) {
        StaticPassValue spv = StaticPassValue.getInstance();
        spv.setResponseValue("handleResponse-Invoked");
        return true;
    }

    /* (non-Javadoc)
     * @see javax.xml.rpc.handler.Handler#getHeaders()
     */
    public QName[] getHeaders() {
        return new QName[0];
    }
}
